Page MenuHomePhabricator

Improve protection
Closed, ResolvedPublic

Description

I created a PR to:
Allow bureaucrat and steward protection to cascade.
Set user protection as semi-protection.
https://github.com/Test-Wiki/mediawiki/pull/7

I believe that these changes will improve the extra protection levels on test wiki.
As user protection is editable by any logged-in user and does not require a special group it should be semi- protection per the recommendation of the mediawiki devs.
As bureaucrat and steward protection are higher than sysop they should be able to cascade like sysop can.

Details

Security
None

Event Timeline

Bonnedav created this task.Sep 11 2018, 6:25 AM
Void triaged this task as Normal priority.Sep 12 2018, 12:17 AM
Void added a subscriber: Void.
Void closed this task as Resolved.Sep 15 2018, 11:24 PM
Void claimed this task.